image: java:latest

variables:
  SONAR_USER_HOME: "${CI_PROJECT_DIR}/.sonar"  # Defines the location of the analysis task cache
  GIT_DEPTH: "0"  # Tells git to fetch all the branches of the project, required by the analysis task

stages:
    - sonarcloud
    - build
    - execute

sonarcloud-check:
  stage: sonarcloud  
  image:
    name: sonarsource/sonar-scanner-cli:latest
    entrypoint: [""]
  cache:
    key: "${CI_JOB_NAME}"
    paths:
      - .sonar/cache
  script:
    - sonar-scanner
  only:
    - merge_requests
    - master
    - develop

build:
    stage: build
    script:
        - /usr/lib/jvm/java-8-openjdk-amd64/bin/javac Main.java
    artifacts:
        paths:
            - Main.*
    timeout: 2 minutes  
    
    interruptible: true

execute:
    stage: execute
    script: /usr/lib/jvm/java-8-openjdk-amd64/bin/java Main
    timeout: 2 minutes
    interruptible: true

       
